"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = require("react");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _shallowequal = _interopRequireDefault(require("shallowequal"));

var _keyboardOnlyOutlines = _interopRequireDefault(require("@moxy/keyboard-only-outlines"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class KeyboardOnlyOutlines extends _react.Component {
  constructor(...args) {
    super(...args);

    _defineProperty(this, "keyboardOutlinesOptions", void 0);
  }

  componentDidMount() {
    this.applyKeyboardOutlines();
  }

  componentDidUpdate() {
    this.applyKeyboardOutlines();
  }

  componentWillUnmount() {
    this.disposeKeyboardOutlines();
  }

  render() {
    return this.props.children;
  }

  applyKeyboardOutlines() {
    const {
      stylesheetTarget,
      styles
    } = this.props;
    const options = {
      stylesheetTarget,
      styles
    }; // Skip if nothing changed

    if ((0, _shallowequal.default)(options, this.keyboardOutlinesOptions)) {
      return;
    }

    this.keyboardOutlinesOptions = options;
    this.disposeKeyboardOutlines();
    this.dispose = (0, _keyboardOnlyOutlines.default)(options);
  }

  disposeKeyboardOutlines() {
    if (this.dispose) {
      this.dispose();
      this.dispose = undefined;
    }
  }

}

exports.default = KeyboardOnlyOutlines;

_defineProperty(KeyboardOnlyOutlines, "propTypes", {
  children: _propTypes.default.node,
  stylesheetTarget: _propTypes.default.object,
  styles: _propTypes.default.string
});

_defineProperty(KeyboardOnlyOutlines, "defaultProps", {
  children: null
});

module.exports = exports.default;